Package org.bgerp.model.msg

# Class Message

java.lang.Object
org.bgerp.model.base.Id
org.bgerp.model.msg.Message

All Implemented Interfaces:
  `Serializable`, `Id<Integer>`

Direct Known Subclasses:
  `Message`

public class Message extends Id
Message.

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `DIRECTION_INCOMING`
  `static final int`
  `DIRECTION_OUTGOING`
  `static final String`
  `OBJECT_TYPE`

  ### Fields inherited from class org.bgerp.model.base.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Message()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addAttach(FileData messageAttach)`
  Добавляет к сообщению файл
  `List<FileData>`
  `getAttachList()`
  Получить список прикрепленных файлов
  `int`
  `getDirection()`
  `String`
  `getFrom()`
  `Date`
  `getFromTime()`
  `String`
  `getLockEdit()`
  `Process`
  `getProcess()`
  `int`
  `getProcessId()`
  `String`
  `getSubject()`
  `String`
  `getSystemId()`
  `String`
  `getText()`
  `String`
  `getTo()`
  `Date`
  `getToTime()`
  `int`
  `getTypeId()`
  `int`
  `getUserId()`
  `String`
  `getUserTitle()`
  `boolean`
  `isIncoming()`
  `boolean`
  `isRead()`
  `boolean`
  `isUnread()`
  `void`
  `setDirection(int value)`
  `void`
  `setFrom(String from)`
  `void`
  `setFromTime(Date value)`
  `void`
  `setProcess(Process value)`
  `void`
  `setProcessId(int value)`
  `void`
  `setSubject(String value)`
  `void`
  `setSystemId(String value)`
  `void`
  `setText(String value)`
  `void`
  `setTo(String value)`
  `void`
  `setToTime(Date value)`
  `void`
  `setTypeId(int value)`
  `void`
  `setUserId(int value)`
  `Message`
  `withDirection(int value)`
  `Message`
  `withFrom(String from)`
  `Message`
  `withFromTime(Date value)`
  `Message`
  `withProcess(Process value)`
  `Message`
  `withProcessId(int value)`
  `Message`
  `withSubject(String value)`
  `Message`
  `withSystemId(String value)`
  `Message`
  `withText(String value)`
  `Message`
  `withTo(String value)`
  `Message`
  `withToTime(Date value)`
  `Message`
  `withTypeId(int value)`
  `Message`
  `withUserId(int value)`

  ### Methods inherited from class org.bgerp.model.base.Id

  `equals, getId, hashCode, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### OBJECT_TYPE

    public static final String OBJECT_TYPE
    See Also:
      - Constant Field Values

  - ### DIRECTION_INCOMING

    public static final int DIRECTION_INCOMING
    See Also:
      - Constant Field Values

  - ### DIRECTION_OUTGOING

    public static final int DIRECTION_OUTGOING
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Message

    public Message()

- ## Method Details

  - ### getSystemId

    public String getSystemId()

  - ### setSystemId

    public void setSystemId(String value)

  - ### withSystemId

    public Message withSystemId(String value)

  - ### getProcessId

    public int getProcessId()

  - ### setProcessId

    public void setProcessId(int value)

  - ### withProcessId

    public Message withProcessId(int value)

  - ### getProcess

    public Process getProcess()

  - ### setProcess

    public void setProcess(Process value)

  - ### withProcess

    public Message withProcess(Process value)

  - ### getFromTime

    public Date getFromTime()

  - ### setFromTime

    public void setFromTime(Date value)

  - ### withFromTime

    public Message withFromTime(Date value)

  - ### getText

    public String getText()

  - ### setText

    public void setText(String value)

  - ### withText

    public Message withText(String value)

  - ### getTypeId

    public int getTypeId()

  - ### setTypeId

    public void setTypeId(int value)

  - ### withTypeId

    public Message withTypeId(int value)

  - ### getUserId

    public int getUserId()

  - ### setUserId

    public void setUserId(int value)

  - ### withUserId

    public Message withUserId(int value)

  - ### getUserTitle

    public String getUserTitle()

  - ### getToTime

    public Date getToTime()

  - ### setToTime

    public void setToTime(Date value)

  - ### withToTime

    public Message withToTime(Date value)

  - ### getDirection

    public int getDirection()

  - ### setDirection

    public void setDirection(int value)

  - ### withDirection

    public Message withDirection(int value)

  - ### isIncoming

    public boolean isIncoming()

  - ### isRead

    public boolean isRead()
    Returns:
      `direction` equals `DIRECTION_INCOMING` and `toTime` is nul `null`.

  - ### isUnread

    public boolean isUnread()
    Returns:
      `direction` equals `DIRECTION_INCOMING` and `toTime` is `null`.

  - ### getFrom

    public String getFrom()

  - ### setFrom

    public void setFrom(String from)

  - ### withFrom

    public Message withFrom(String from)

  - ### getTo

    public String getTo()

  - ### setTo

    public void setTo(String value)

  - ### withTo

    public Message withTo(String value)

  - ### getSubject

    public String getSubject()

  - ### setSubject

    public void setSubject(String value)

  - ### withSubject

    public Message withSubject(String value)

  - ### getAttachList

    public List<FileData> getAttachList()
    Получить список прикрепленных файлов
    Returns:
      список файлов

  - ### addAttach

    public void addAttach(FileData messageAttach)
    Добавляет к сообщению файл
    Parameters:
      `messageAttach` -

  - ### getLockEdit

    public String getLockEdit()